package com.engine.attendance.attendanceanalysis.service;

import java.util.List;
import java.util.Map;

public interface AskForLeaveService {
    /**
     * 根据时间请假
     * @return
     */
    Map<String,Object> askForLeaveByTime(Map<String,Object> param);

    /**
     * 根据时长请假
     * @return
     */
    Map<String,Object> askForLeaveByDurationTime(Map<String,Object> param);

    /**
     * 根据半天请假
     * @param param
     * @return
     */
    boolean askForLeaveByHalfDay(Map<String,Object> param);

    /**
     * 根据班次获得请假记录以及请假排班
     * @param param
     * @return
     */
    Map<String,Object> getAskForLeave(Map<String,Object> param);
}
